Galon Cloud
Galon API v1

/deploy/journeys/{journey_id}

Base URL https://api.galon.ai/v1 · export GALON_API_BASE="https://api.galon.ai/v1"

GET /deploy/journeys/{journey_id}

Get a deployment

Scope job:read. Served only when Galon Deploy is open to the account (404 otherwise). Errors {"detail": {"code"}}.

API key (Bearer), on the public API endpoint.

Parameters

NameInTypeDescription
journey_idpathstring · required

Responses

StatusDescriptionBody
200Deploymentobject
404deploy_journey_not_foundError
401Key missing or invalidError

Examples

curl

curl -X GET "$GALON_API_BASE/deploy/journeys/<journey_id>" \
  -H "Authorization: Bearer $GALON_API_KEY"

Node.js (SDK)

import { Galon } from "galon";

const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.deployments.get("<id>");

Python (SDK)

from galon import Galon

galon = Galon()  # reads GALON_API_KEY
result = galon.deployments.get("<id>")